Get all enabled lookup codes using advanced query

post

https://<servername>/api/boss/data/objects/ora/commonAppsInfra/objects/v1/standardLookupCodes/$views/lookupLOV/$query

Gets all of the enabled lookup codes for the given lookup type, filtering on the optional active date and always including the optional current value.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type: object
Values to be applied in a parameterized filter specific to the view.
Back to Top

Response

Default Response

Successful response of retrieving view lookupLOV for resource Standard Lookup Codes
Body ()
Root Schema : standardLookupCodes_view-lookupLOV
Match All
Gets all of the enabled lookup codes for the given lookup type, filtering on the optional active date and always including the optional current value.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : standardLookupCodes_view-lookupLOV-allOf[1]
Type: object
Gets all of the enabled lookup codes for the given lookup type, filtering on the optional active date and always including the optional current value.
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : description
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Description
    The translated description of the Lookup Code.
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Back to Top